org.springframework.jdbc.core.metadata

## Class TableMetaDataProviderFactory

- java.lang.Object
- - org.springframework.jdbc.core.metadata.TableMetaDataProviderFactory

    public class TableMetaDataProviderFactory
    extends Object

Factory used to create a `TableMetaDataProvider` implementation based on the type of databse being used.

Since:
  2.5
Author:
  Thomas Risberg

### Constructor Summary

Constructors
Constructor and Description
`TableMetaDataProviderFactory()`

### Method Summary

Methods
`static TableMetaDataProvider` `createMetaDataProvider(DataSource dataSource, TableMetaDataContext context)` Create a TableMetaDataProvider based on the database metedata
`static TableMetaDataProvider` `createMetaDataProvider(DataSource dataSource, TableMetaDataContext context, NativeJdbcExtractor nativeJdbcExtractor)` Create a TableMetaDataProvider based on the database metedata

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableMetaDataProviderFactory

    public TableMetaDataProviderFactory()

### Method Detail

#### createMetaDataProvider

    public static TableMetaDataProvider createMetaDataProvider(DataSource dataSource,
                                               TableMetaDataContext context)

Create a TableMetaDataProvider based on the database metedata

Parameters:
  `dataSource` - used to retrieve metedata
  `context` - the class that holds configuration and metedata
Returns:
  instance of the TableMetaDataProvider implementation to be used

#### createMetaDataProvider

    public static TableMetaDataProvider createMetaDataProvider(DataSource dataSource,
                                               TableMetaDataContext context,
                                               NativeJdbcExtractor nativeJdbcExtractor)

Create a TableMetaDataProvider based on the database metedata

Parameters:
  `dataSource` - used to retrieve metedata
  `context` - the class that holds configuration and metedata
  `nativeJdbcExtractor` - the NativeJdbcExtractor to be used
Returns:
  instance of the TableMetaDataProvider implementation to be used